Subject: bug#71386: 29.1; Frame is auto-deleted even when it has multiple tabs

From: Juri Linkov <[email-masked]>
Date: Tue, 01 Apr 2025 21:36:22 +0300

> WIP patch attached with a test and some few refinements we've talked about
> in this dialog.  I didn't alter tab-bar-mode to tab-bar-lines as Martin
> suggested.  You're the expert.

We don't need a new unusable option, so please remove it and submit a new patch.
Also please replace tab-bar-mode with tab-bar-lines like Martin suggested.
Then everything should be good.  Also it seems you forgot to remove
window-dedicated-p in your previous patch.